Status: New Start date:  
Assignee:  % Done: 0%
Target version:    

Resolution:    

Description

I have a user that wants to be notified when a specific folder in the SVN repository tree by ATOM feeds.

When we try to use it by Redmine we realized that the ATOM feed don't respect the repository folder and show all repository

revisions, but the html page of the same shows only the revisions that applies to the selected repository folder.

Looking  deeper in the html page source there are 2 links to the rss resource.

One link in the <head> section, that have the path parameter

    <link href="http://server/redmine/projects/xx/repository/revisions.atom?key=xxxxxxxxxxxxxxxxxx

xxxxxxx&amp;path=Folder1%2Ffolser2" rel="alternate" title="ATOM" type="application/atom+xml" />

Second link in the page footer ">Also available in: ", that don't have the path as a parameter

    

/redmine/projects/xx/repository/revisions.atom?key=xxxxxxxxxxxxxxxxxxxxxxxxxx

 However the two links don't work as expected, ie, show in ATOM XML only the SVN revisions that changed (where applied to) the

selected folder

My Environment:

Redmine version                          2.2.4.stable

Ruby version                             1.8.7 (i586-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

SCM                                      Subersion 1.7.9-3490.107

History

#1 - 2013-04-19 07:56 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2013-04-19 07:56 - Toshi MARUYAMA

- Subject changed from ATOM feed don't respect the selected folder in the repository and show all repository revisions not only for the selected folder

to ATOM feed for the selected folder

#3 - 2013-04-19 07:57 - Toshi MARUYAMA

- Subject changed from ATOM feed for the selected folder to SCM ATOM feed for the selected folder

Powered by TCPDF (www.tcpdf.org)

2024-04-23 1/1

http://www.tcpdf.org

